Bug 1419457 - Can't show remind info on terminal when restart virt-who without VIRTWHO_LIBVIRT_OWNER/VIRTWHO_LIBVIRT_ENV in remote libvirt mode
Summary: Can't show remind info on terminal when restart virt-who without VIRTWHO_LIBV...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-who
Version: 6.9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: Eko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 08:40 UTC by Liushihui
Modified: 2017-12-11 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 12:25:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1445160 0 medium CLOSED When owner/env option is missing in config file(s) an error message should be displayed 2021-02-22 00:41:40 UTC

Internal Links: 1445160

Description Liushihui 2017-02-06 08:40:20 UTC
Description of problem:
When virt-who run at remote libvirt mode, restart virt-who without VIRTWHO_LIBVIRT_OWNER/VIRTWHO_LIBVIRT_ENV, it can't show any remind info on terminal.

Version-Release number of selected component (if applicable):
virt-who-0.18-3.el6.noarch
subscription-manager-1.18.9-1.el6.x86_64
python-rhsm-1.18.6-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Register system to stage candlepin.
2. Configure virt-who run at remote libvirt mode without env/owner option or env/owner is null
[root@hp-z220-06 virt-who.d]# cat /etc/sysconfig/virt-who  | grep -v ^# | grep -v ^$
VIRTWHO_DEBUG=1
VIRTWHO_LIBVIRT=1
VIRTWHO_LIBVIRT_ENV=7970632          ====> Without "VIRTWHO_LIBVIRT_OWNER"
VIRTWHO_LIBVIRT_SERVER=hp-z220-12.qe.lab.eng.nay.redhat.com
VIRTWHO_LIBVIRT_USERNAME=root
VIRTWHO_LIBVIRT_PASSWORD=
3. Restart virt-who service and check info on terminal
[root@hp-z220-06 virt-who.d]# service virt-who restart
Stopping virt-who:                                         [  OK  ]
Starting virt-who:                                         [FAILED]

Actual results:
It hasn't show any remind info on terminal side when start virt-who service.

Expected results:
It should show remind info as the following:
"Starting virt-who: Option --libvirt-owner (or VIRTWHO_LIBVIRT_OWNER environment variable) needs to be set"

Additional info:
When virt-who run at esx mode at the same condition, it will show remind info as the following:
[root@hp-z220-06 virt-who.d]# service virt-who restart
Stopping virt-who:                                         [FAILED]
Starting virt-who: Option --esx-owner (or VIRTWHO_ESX_OWNER environment variable) needs to be set
                                                           [FAILED]

Comment 1 Liushihui 2017-11-02 02:30:13 UTC
It still exist on virt-who-0.20.4-1.el6sat.noarch against satellite6.3

Comment 2 Liushihui 2017-11-02 02:32:16 UTC
error comment, please ignore comment 1. sorry for inconvenience.

Comment 3 Jan Kurik 2017-12-06 12:25:51 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.